### Method

# Gcr CertificateChain get_anchor

#### Declaration [src]

    GcrCertificate*
    gcr_certificate_chain_get_anchor (
      GcrCertificateChain* self
    )

#### Description [src]

If the certificate chain has been built and is of status `GCR_CERTIFICATE_CHAIN_ANCHORED`, then this will return the anchor certificate that was found. This is not necessarily a root certificate authority. If an intermediate certificate authority in the chain was found to be anchored, then that certificate will be returned.

If an anchor is returned it does not mean that the certificate chain has been verified, but merely that an anchor has been found.

#### Return value

Type: `GcrCertificate`

The anchor certificate, or `NULL` if not anchored.

The returned data is owned by the instance.